## ---- echo = FALSE, message = FALSE-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
options(width = 750)
knitr::opts_chunk$set(
  comment = "#>",
  error = FALSE,
  tidy = FALSE)

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # install the biomaRt package
#  source("http://bioconductor.org/biocLite.R")
#  biocLite("biomaRt")
#  
#  # load biomaRt
#  library(biomaRt)
#  
#  # look at top 10 databases
#  head(listMarts(host = "www.ensembl.org"), 10)

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  head(listDatasets(useMart("ENSEMBL_MART_ENSEMBL", host = "www.ensembl.org")), 10)

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  head(listAttributes(useDataset(dataset = "hsapiens_gene_ensembl",
#                                 mart    = useMart("ENSEMBL_MART_ENSEMBL",
#                                 host    = "www.ensembl.org"))), 10)

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  head(listFilters(useDataset(dataset = "hsapiens_gene_ensembl",
#                              mart    = useMart("ENSEMBL_MART_ENSEMBL",
#                              host    = "www.ensembl.org"))), 10)

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # 1) select a mart and data set
#  mart <- useDataset(dataset = "hsapiens_gene_ensembl",
#                     mart    = useMart("ENSEMBL_MART_ENSEMBL",
#                     host    = "www.ensembl.org"))
#  
#  # 2) run a biomart query using the getBM() function
#  # and specify the attributes and filter arguments
#  geneSet <- "GUCA2A"
#  
#  resultTable <- getBM(attributes = c("start_position","end_position","description"),
#                       filters    = "hgnc_symbol",
#                       values     = geneSet,
#                       mart       = mart)
#  
#  resultTable

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # load the biomartr package
#  library(biomartr)
#  
#  # list all available databases
#  getMarts()

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  head(getDatasets(mart = "ENSEMBL_MART_ENSEMBL") , 5)

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  tail(getDatasets(mart = "ENSEMBL_MART_ENSEMBL") , 38)

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # list all available attributes for dataset: hsapiens_gene_ensembl
#  head( getAttributes(mart    = "ENSEMBL_MART_ENSEMBL",
#                      dataset = "hsapiens_gene_ensembl"), 10 )

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # list all available filters for dataset: hsapiens_gene_ensembl
#  head( getFilters(mart    = "ENSEMBL_MART_ENSEMBL",
#                   dataset = "hsapiens_gene_ensembl"), 10 )

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # retrieving all available datasets and biomart connections for
#  # a specific query organism (scientific name)
#  organismBM(organism = "Homo sapiens")

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # return available attributes for "Homo sapiens"
#  head(organismAttributes("Homo sapiens"), 20)

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # search for attribute topic "id"
#  head(organismAttributes("Homo sapiens", topic = "id"), 20)

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # search for attribute topic "homolog"
#  head(organismAttributes("Homo sapiens", topic = "homolog"), 20)

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # search for attribute topic "dn"
#  head(organismAttributes("Homo sapiens", topic = "dn"))

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # search for attribute topic "ds"
#  head(organismAttributes("Homo sapiens", topic = "ds"))

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # return available filters for "Homo sapiens"
#  head(organismFilters("Homo sapiens"), 20)

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # search for filter topic "id"
#  head(organismFilters("Homo sapiens", topic = "id"), 20)

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  head(organismAttributes("Homo sapiens", topic = "id"))

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # retrieve the proteome of Homo sapiens from refseq
#  file_path <- getProteome( db       = "refseq",
#                            organism = "Homo sapiens",
#                            path     = file.path("_ncbi_downloads","proteomes") )
#  
#  Hsapiens_proteome <- read_proteome(file_path, format = "fasta")
#  
#  # remove splice variants from id
#  gene_set <- unlist(sapply(strsplit(Hsapiens_proteome@ranges@NAMES[1:5], ".",fixed = TRUE), function(x) x[1]))
#  
#  result_BM <- biomart( genes      = gene_set,
#                        mart       = "ENSEMBL_MART_ENSEMBL",
#                        dataset    = "hsapiens_gene_ensembl",
#                        attributes = c("ensembl_gene_id","ensembl_peptide_id"),
#                        filters    = "refseq_peptide")
#  
#  result_BM

## ----eval=FALSE-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#  # search for GO terms of an example Homo sapiens gene
#  GO_tbl <- getGO(organism = "Homo sapiens",
#                  genes    = "GUCA2A",
#                  filters  = "hgnc_symbol")
#  
#  GO_tbl

